30db8a281f2141da95ab8a9e4cfb8a2d3fe49a67
[scilab.git] / scilab / modules / types / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 # Copyright (C) DIGITEO - 2010 - Bruno JOFRET
21 #
22 # Copyright (C) 2012 - 2016 - Scilab Enterprises
23 #
24 # This file is hereby licensed under the terms of the GNU GPL v2.0,
25 # pursuant to article 5.3.4 of the CeCILL v.2.1.
26 # This file was originally licensed under the terms of the CeCILL v2.1,
27 # and continues to be available under such terms.
28 # For more information, see the COPYING file which you should have received
29 # along with this program.
30 #
31
32 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
33 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
34 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
35 #
36 # Copyright (C) 2012 - 2016 - Scilab Enterprises
37 #
38 # This file is hereby licensed under the terms of the GNU GPL v2.0,
39 # pursuant to article 5.3.4 of the CeCILL v.2.1.
40 # This file was originally licensed under the terms of the CeCILL v2.1,
41 # and continues to be available under such terms.
42 # For more information, see the COPYING file which you should have received
43 # along with this program.
44 #
45
46 ##########
47 ### Makefile included stuff
48 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
49 ##########
50
51
52 VPATH = @srcdir@
53 am__is_gnu_make = { \
54   if test -z '$(MAKELEVEL)'; then \
55     false; \
56   elif test -n '$(MAKE_HOST)'; then \
57     true; \
58   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
59     true; \
60   else \
61     false; \
62   fi; \
63 }
64 am__make_running_with_option = \
65   case $${target_option-} in \
66       ?) ;; \
67       *) echo "am__make_running_with_option: internal error: invalid" \
68               "target option '$${target_option-}' specified" >&2; \
69          exit 1;; \
70   esac; \
71   has_opt=no; \
72   sane_makeflags=$$MAKEFLAGS; \
73   if $(am__is_gnu_make); then \
74     sane_makeflags=$$MFLAGS; \
75   else \
76     case $$MAKEFLAGS in \
77       *\\[\ \   ]*) \
78         bs=\\; \
79         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
80           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
81     esac; \
82   fi; \
83   skip_next=no; \
84   strip_trailopt () \
85   { \
86     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
87   }; \
88   for flg in $$sane_makeflags; do \
89     test $$skip_next = yes && { skip_next=no; continue; }; \
90     case $$flg in \
91       *=*|--*) continue;; \
92         -*I) strip_trailopt 'I'; skip_next=yes;; \
93       -*I?*) strip_trailopt 'I';; \
94         -*O) strip_trailopt 'O'; skip_next=yes;; \
95       -*O?*) strip_trailopt 'O';; \
96         -*l) strip_trailopt 'l'; skip_next=yes;; \
97       -*l?*) strip_trailopt 'l';; \
98       -[dEDm]) skip_next=yes;; \
99       -[JT]) skip_next=yes;; \
100     esac; \
101     case $$flg in \
102       *$$target_option*) has_opt=yes; break;; \
103     esac; \
104   done; \
105   test $$has_opt = yes
106 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
107 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
108 pkgdatadir = $(datadir)/@PACKAGE@
109 pkgincludedir = $(includedir)/@PACKAGE@
110 pkglibdir = $(libdir)/@PACKAGE@
111 pkglibexecdir = $(libexecdir)/@PACKAGE@
112 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
113 install_sh_DATA = $(install_sh) -c -m 644
114 install_sh_PROGRAM = $(install_sh) -c
115 install_sh_SCRIPT = $(install_sh) -c
116 INSTALL_HEADER = $(INSTALL_DATA)
117 transform = $(program_transform_name)
118 NORMAL_INSTALL = :
119 PRE_INSTALL = :
120 POST_INSTALL = :
121 NORMAL_UNINSTALL = :
122 PRE_UNINSTALL = :
123 POST_UNINSTALL = :
124 build_triplet = @build@
125 host_triplet = @host@
126 @NEED_JAVA_TRUE@am__append_1 = java
127 @GIWS_TRUE@am__append_2 = giws
128 @GUI_TRUE@am__append_3 = libscitypes-java.la
129 @SWIG_TRUE@am__append_4 = swig
130 check_PROGRAMS = testTypes$(EXEEXT)
131 TESTS = testTypes$(EXEEXT)
132 subdir = modules/types
133 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
134 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
135         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
136         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
137         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
138         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
139         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
140         $(top_srcdir)/m4/intel_compiler.m4 \
141         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
142         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
143         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
144         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
145         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
146         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
147         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
148         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
149         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
150         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
151         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
152 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
153         $(ACLOCAL_M4)
154 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
155 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
156 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
157 CONFIG_CLEAN_FILES =
158 CONFIG_CLEAN_VPATH_FILES =
159 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
160 am__vpath_adj = case $$p in \
161     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
162     *) f=$$p;; \
163   esac;
164 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
165 am__install_max = 40
166 am__nobase_strip_setup = \
167   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
168 am__nobase_strip = \
169   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
170 am__nobase_list = $(am__nobase_strip_setup); \
171   for p in $$list; do echo "$$p $$p"; done | \
172   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
173   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
174     if (++n[$$2] == $(am__install_max)) \
175       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
176     END { for (dir in files) print dir, files[dir] }'
177 am__base_list = \
178   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
179   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
180 am__uninstall_files_from_dir = { \
181   test -z "$$files" \
182     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
183     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
184          $(am__cd) "$$dir" && rm -f $$files; }; \
185   }
186 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
187         "$(DESTDIR)$(libscitypes_la_etcdir)" \
188         "$(DESTDIR)$(libscitypes_la_rootdir)" \
189         "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)"
190 LTLIBRARIES = $(pkglib_LTLIBRARIES)
191 libscitypes_java_la_DEPENDENCIES =  \
192         $(top_builddir)/modules/commons/libscicommons.la \
193         $(top_builddir)/modules/jvm/libscijvm.la
194 am__dirstamp = $(am__leading_dot)dirstamp
195 am__objects_1 = src/jni/libscitypes_java_la-getScilabVariable_wrap.lo
196 am__objects_2 = src/cpp/libscitypes_java_la-ScilabToJava.lo \
197         src/jni/libscitypes_java_la-ScilabVariables.lo \
198         src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo \
199         src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo
200 am_libscitypes_java_la_OBJECTS = $(am__objects_1) $(am__objects_2)
201 libscitypes_java_la_OBJECTS = $(am_libscitypes_java_la_OBJECTS)
202 AM_V_lt = $(am__v_lt_@AM_V@)
203 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
204 am__v_lt_0 = --silent
205 am__v_lt_1 = 
206 @GUI_TRUE@am_libscitypes_java_la_rpath = -rpath $(pkglibdir)
207 am_testTypes_OBJECTS = src/cpp/testTypes-test-types.$(OBJEXT)
208 testTypes_OBJECTS = $(am_testTypes_OBJECTS)
209 testTypes_DEPENDENCIES = $(top_builddir)/modules/ast/libsciast.la
210 AM_V_P = $(am__v_P_@AM_V@)
211 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
212 am__v_P_0 = false
213 am__v_P_1 = :
214 AM_V_GEN = $(am__v_GEN_@AM_V@)
215 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
216 am__v_GEN_0 = @echo "  GEN     " $@;
217 am__v_GEN_1 = 
218 AM_V_at = $(am__v_at_@AM_V@)
219 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
220 am__v_at_0 = @
221 am__v_at_1 = 
222 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
223 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
224 am__depfiles_maybe = depfiles
225 am__mv = mv -f
226 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
227         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
228 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
229         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
230         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
231         $(AM_CFLAGS) $(CFLAGS)
232 AM_V_CC = $(am__v_CC_@AM_V@)
233 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
234 am__v_CC_0 = @echo "  CC      " $@;
235 am__v_CC_1 = 
236 CCLD = $(CC)
237 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
238         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
239         $(AM_LDFLAGS) $(LDFLAGS) -o $@
240 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
241 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
242 am__v_CCLD_0 = @echo "  CCLD    " $@;
243 am__v_CCLD_1 = 
244 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
245         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
246 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
247         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
248         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
249         $(AM_CXXFLAGS) $(CXXFLAGS)
250 AM_V_CXX = $(am__v_CXX_@AM_V@)
251 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
252 am__v_CXX_0 = @echo "  CXX     " $@;
253 am__v_CXX_1 = 
254 CXXLD = $(CXX)
255 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
256         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
257         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
258 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
259 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
260 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
261 am__v_CXXLD_1 = 
262 SOURCES = $(libscitypes_java_la_SOURCES) $(testTypes_SOURCES)
263 DIST_SOURCES = $(libscitypes_java_la_SOURCES) $(testTypes_SOURCES)
264 am__can_run_installinfo = \
265   case $$AM_UPDATE_INFO_DIR in \
266     n|no|NO) false;; \
267     *) (install-info --version) >/dev/null 2>&1;; \
268   esac
269 DATA = $(libscitypes_la_etc_DATA) $(libscitypes_la_root_DATA) \
270         $(libscitypes_la_sci_gateway_DATA)
271 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
272 # Read a list of newline-separated strings from the standard input,
273 # and print each of them once, without duplicates.  Input order is
274 # *not* preserved.
275 am__uniquify_input = $(AWK) '\
276   BEGIN { nonempty = 0; } \
277   { items[$$0] = 1; nonempty = 1; } \
278   END { if (nonempty) { for (i in items) print i; }; } \
279 '
280 # Make sure the list of sources is unique.  This is necessary because,
281 # e.g., the same source file might be shared among _SOURCES variables
282 # for different programs/libraries.
283 am__define_uniq_tagged_files = \
284   list='$(am__tagged_files)'; \
285   unique=`for i in $$list; do \
286     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
287   done | $(am__uniquify_input)`
288 ETAGS = etags
289 CTAGS = ctags
290 am__tty_colors_dummy = \
291   mgn= red= grn= lgn= blu= brg= std=; \
292   am__color_tests=no
293 am__tty_colors = { \
294   $(am__tty_colors_dummy); \
295   if test "X$(AM_COLOR_TESTS)" = Xno; then \
296     am__color_tests=no; \
297   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
298     am__color_tests=yes; \
299   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
300     am__color_tests=yes; \
301   fi; \
302   if test $$am__color_tests = yes; then \
303     red='\e[0;31m'; \
304     grn='\e[0;32m'; \
305     lgn='\e[1;32m'; \
306     blu='\e[1;34m'; \
307     mgn='\e[0;35m'; \
308     brg='\e[1m'; \
309     std='\e[m'; \
310   fi; \
311 }
312 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
313         $(top_srcdir)/config/depcomp \
314         $(top_srcdir)/config/mkinstalldirs
315 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
316 ACLOCAL = @ACLOCAL@
317 ALL_LINGUAS = @ALL_LINGUAS@
318 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
319 AMTAR = @AMTAR@
320 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
321 ANT = @ANT@
322 ANTLR = @ANTLR@
323 AR = @AR@
324 ARPACK_LIBS = @ARPACK_LIBS@
325 ASM3 = @ASM3@
326 AUTOCONF = @AUTOCONF@
327 AUTOHEADER = @AUTOHEADER@
328 AUTOMAKE = @AUTOMAKE@
329 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
330 AWK = @AWK@
331 BATIK = @BATIK@
332 BLAS_CFLAGS = @BLAS_CFLAGS@
333 BLAS_LIBS = @BLAS_LIBS@
334 CC = @CC@
335 CCACHE = @CCACHE@
336 CCDEPMODE = @CCDEPMODE@
337 CFLAGS = @CFLAGS@
338 CHECKSTYLE = @CHECKSTYLE@
339 COBERTURA = @COBERTURA@
340 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
341 COMMONS_IO = @COMMONS_IO@
342 COMMONS_LOGGING = @COMMONS_LOGGING@
343 CPP = @CPP@
344 CPPFLAGS = @CPPFLAGS@
345 CURL_CFLAGS = @CURL_CFLAGS@
346 CURL_CONFIG = @CURL_CONFIG@
347 CURL_LIBS = @CURL_LIBS@
348 CURL_VERSION = @CURL_VERSION@
349 CXX = @CXX@
350 CXXCPP = @CXXCPP@
351 CXXDEPMODE = @CXXDEPMODE@
352 CXXFLAGS = @CXXFLAGS@
353 CYGPATH_W = @CYGPATH_W@
354 DEFS = @DEFS@
355 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
356 DEPDIR = @DEPDIR@
357 DLLTOOL = @DLLTOOL@
358 DOCBOOK_ROOT = @DOCBOOK_ROOT@
359 DOXYGEN_BIN = @DOXYGEN_BIN@
360 DSYMUTIL = @DSYMUTIL@
361 DUMPBIN = @DUMPBIN@
362 ECHO_C = @ECHO_C@
363 ECHO_N = @ECHO_N@
364 ECHO_T = @ECHO_T@
365 ECJ = @ECJ@
366 EGREP = @EGREP@
367 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
368 EXEEXT = @EXEEXT@
369 F77 = @F77@
370 FFLAGS = @FFLAGS@
371 FFTW3_LIB = @FFTW3_LIB@
372 FFTW_ENABLE = @FFTW_ENABLE@
373 FGREP = @FGREP@
374 FLEXDOCK = @FLEXDOCK@
375 FLIBS = @FLIBS@
376 FOP = @FOP@
377 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
378 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
379 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
380 FREEHEP_IO = @FREEHEP_IO@
381 FREEHEP_UTIL = @FREEHEP_UTIL@
382 GENHTML = @GENHTML@
383 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
384 GIWS_BIN = @GIWS_BIN@
385 GLUEGEN2_RT = @GLUEGEN2_RT@
386 GMSGFMT = @GMSGFMT@
387 GMSGFMT_015 = @GMSGFMT_015@
388 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
389 GREP = @GREP@
390 GUI_ENABLE = @GUI_ENABLE@
391 HAMCREST = @HAMCREST@
392 HAVE_CXX11 = @HAVE_CXX11@
393 HDF5_CFLAGS = @HDF5_CFLAGS@
394 HDF5_LIBS = @HDF5_LIBS@
395 HELP_ENABLE = @HELP_ENABLE@
396 INSTALL = @INSTALL@
397 INSTALL_DATA = @INSTALL_DATA@
398 INSTALL_PROGRAM = @INSTALL_PROGRAM@
399 INSTALL_SCRIPT = @INSTALL_SCRIPT@
400 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
401 INTLLIBS = @INTLLIBS@
402 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
403 JAR = @JAR@
404 JAVA = @JAVA@
405 JAVAC = @JAVAC@
406 JAVAC_DEBUG = @JAVAC_DEBUG@
407 JAVADOC = @JAVADOC@
408 JAVAH = @JAVAH@
409 JAVASCI_ENABLE = @JAVASCI_ENABLE@
410 JAVA_ENABLE = @JAVA_ENABLE@
411 JAVA_G = @JAVA_G@
412 JAVA_HOME = @JAVA_HOME@
413 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
414 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
415 JDB = @JDB@
416 JEUCLID_CORE = @JEUCLID_CORE@
417 JGRAPHX = @JGRAPHX@
418 JHALL = @JHALL@
419 JLATEXMATH = @JLATEXMATH@
420 JLATEXMATH_FOP = @JLATEXMATH_FOP@
421 JOGL2 = @JOGL2@
422 JROSETTA_API = @JROSETTA_API@
423 JROSETTA_ENGINE = @JROSETTA_ENGINE@
424 JUNIT4 = @JUNIT4@
425 LAPACK_LIBS = @LAPACK_LIBS@
426 LCOV = @LCOV@
427 LD = @LD@
428 LDFLAGS = @LDFLAGS@
429 LEX = @LEX@
430 LEXLIB = @LEXLIB@
431 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
432 LIBICONV = @LIBICONV@
433 LIBINTL = @LIBINTL@
434 LIBM = @LIBM@
435 LIBOBJS = @LIBOBJS@
436 LIBS = @LIBS@
437 LIBTOOL = @LIBTOOL@
438 LIPO = @LIPO@
439 LN_S = @LN_S@
440 LOGGING_LEVEL = @LOGGING_LEVEL@
441 LOOKS = @LOOKS@
442 LTLIBICONV = @LTLIBICONV@
443 LTLIBINTL = @LTLIBINTL@
444 LTLIBOBJS = @LTLIBOBJS@
445 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
446 LUCENE = @LUCENE@
447 LUCENE_ANALYZER = @LUCENE_ANALYZER@
448 LUCENE_PARSER = @LUCENE_PARSER@
449 MAINT = @MAINT@
450 MAKEINFO = @MAKEINFO@
451 MANIFEST_TOOL = @MANIFEST_TOOL@
452 MATIO_CFLAGS = @MATIO_CFLAGS@
453 MATIO_ENABLE = @MATIO_ENABLE@
454 MATIO_LIBS = @MATIO_LIBS@
455 MKDIR_P = @MKDIR_P@
456 MPI_ENABLE = @MPI_ENABLE@
457 MSGCAT = @MSGCAT@
458 MSGFMT = @MSGFMT@
459 MSGFMT_015 = @MSGFMT_015@
460 MSGMERGE = @MSGMERGE@
461 NM = @NM@
462 NMEDIT = @NMEDIT@
463 OBJDUMP = @OBJDUMP@
464 OBJEXT = @OBJEXT@
465 OCAMLC = @OCAMLC@
466 OCAMLDEP = @OCAMLDEP@
467 OCAMLLEX = @OCAMLLEX@
468 OCAMLOPT = @OCAMLOPT@
469 OCAMLYACC = @OCAMLYACC@
470 OPENMPI_CC = @OPENMPI_CC@
471 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
472 OPENMPI_CXX = @OPENMPI_CXX@
473 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
474 OPENMPI_LIBS = @OPENMPI_LIBS@
475 OPENMP_CFLAGS = @OPENMP_CFLAGS@
476 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
477 OPENMP_ENABLE = @OPENMP_ENABLE@
478 OPENMP_LIBS = @OPENMP_LIBS@
479 OTOOL = @OTOOL@
480 OTOOL64 = @OTOOL64@
481 PACKAGE = @PACKAGE@
482 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
483 PACKAGE_NAME = @PACKAGE_NAME@
484 PACKAGE_STRING = @PACKAGE_STRING@
485 PACKAGE_TARNAME = @PACKAGE_TARNAME@
486 PACKAGE_URL = @PACKAGE_URL@
487 PACKAGE_VERSION = @PACKAGE_VERSION@
488 PATH_SEPARATOR = @PATH_SEPARATOR@
489 PCRE_CFLAGS = @PCRE_CFLAGS@
490 PCRE_CONFIG = @PCRE_CONFIG@
491 PCRE_LIBS = @PCRE_LIBS@
492 PCRE_VERSION = @PCRE_VERSION@
493 PKG_CONFIG = @PKG_CONFIG@
494 POSUB = @POSUB@
495 POW_LIB = @POW_LIB@
496 PYTHON = @PYTHON@
497 RANLIB = @RANLIB@
498 RELOCATABLE = @RELOCATABLE@
499 RT_LIB = @RT_LIB@
500 SAXON = @SAXON@
501 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
502 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
503 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
504 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
505 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
506 SCIRENDERER = @SCIRENDERER@
507 SCIRENDERER_CP = @SCIRENDERER_CP@
508 SCI_CFLAGS = @SCI_CFLAGS@
509 SCI_CXXFLAGS = @SCI_CXXFLAGS@
510 SCI_FFLAGS = @SCI_FFLAGS@
511 SCI_LDFLAGS = @SCI_LDFLAGS@
512 SED = @SED@
513 SET_MAKE = @SET_MAKE@
514 SET_RELOCATABLE = @SET_RELOCATABLE@
515 SHELL = @SHELL@
516 SKINLF = @SKINLF@
517 SPLINT = @SPLINT@
518 STRIP = @STRIP@
519 SWIG_BIN = @SWIG_BIN@
520 SWIG_JAVA = @SWIG_JAVA@
521 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
522 SWIG_SCILAB = @SWIG_SCILAB@
523 TCLTK_LIBS = @TCLTK_LIBS@
524 TCL_INC_PATH = @TCL_INC_PATH@
525 TK_INC_PATH = @TK_INC_PATH@
526 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
527 UMFPACK_ENABLE = @UMFPACK_ENABLE@
528 UMFPACK_LIB = @UMFPACK_LIB@
529 USE_NLS = @USE_NLS@
530 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
531 VALGRIND_LIBS = @VALGRIND_LIBS@
532 VERSION = @VERSION@
533 WITH_OCAML = @WITH_OCAML@
534 WITH_TKSCI = @WITH_TKSCI@
535 XCOS_ENABLE = @XCOS_ENABLE@
536 XGETTEXT = @XGETTEXT@
537 XGETTEXT_015 = @XGETTEXT_015@
538 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
539 XMKMF = @XMKMF@
540 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
541 XML_APIS_EXT = @XML_APIS_EXT@
542 XML_CONFIG = @XML_CONFIG@
543 XML_FLAGS = @XML_FLAGS@
544 XML_LIBS = @XML_LIBS@
545 XML_VERSION = @XML_VERSION@
546 X_CFLAGS = @X_CFLAGS@
547 X_EXTRA_LIBS = @X_EXTRA_LIBS@
548 X_LIBS = @X_LIBS@
549 X_PRE_LIBS = @X_PRE_LIBS@
550 YACC = @YACC@
551 YFLAGS = @YFLAGS@
552 abs_builddir = @abs_builddir@
553 abs_srcdir = @abs_srcdir@
554 abs_top_builddir = @abs_top_builddir@
555 abs_top_srcdir = @abs_top_srcdir@
556 ac_ct_AR = @ac_ct_AR@
557 ac_ct_CC = @ac_ct_CC@
558 ac_ct_CXX = @ac_ct_CXX@
559 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
560 ac_ct_F77 = @ac_ct_F77@
561 am__include = @am__include@
562 am__leading_dot = @am__leading_dot@
563 am__quote = @am__quote@
564 am__tar = @am__tar@
565 am__untar = @am__untar@
566 bindir = @bindir@
567 build = @build@
568 build_alias = @build_alias@
569 build_cpu = @build_cpu@
570 build_os = @build_os@
571 build_vendor = @build_vendor@
572 builddir = @builddir@
573 cxx_present = @cxx_present@
574 datadir = @datadir@
575 datarootdir = @datarootdir@
576 docdir = @docdir@
577 dvidir = @dvidir@
578 exec_prefix = @exec_prefix@
579 host = @host@
580 host_alias = @host_alias@
581 host_cpu = @host_cpu@
582 host_os = @host_os@
583 host_vendor = @host_vendor@
584 htmldir = @htmldir@
585 includedir = @includedir@
586 infodir = @infodir@
587 install_sh = @install_sh@
588 libdir = @libdir@
589 libexecdir = @libexecdir@
590 localedir = @localedir@
591 localstatedir = @localstatedir@
592 mandir = @mandir@
593 mkdir_p = @mkdir_p@
594 oldincludedir = @oldincludedir@
595 pdfdir = @pdfdir@
596 prefix = @prefix@
597 program_transform_name = @program_transform_name@
598 psdir = @psdir@
599 runstatedir = @runstatedir@
600 sbindir = @sbindir@
601 sharedstatedir = @sharedstatedir@
602 srcdir = @srcdir@
603 sysconfdir = @sysconfdir@
604 target_alias = @target_alias@
605 top_build_prefix = @top_build_prefix@
606 top_builddir = @top_builddir@
607 top_srcdir = @top_srcdir@
608 yacc_present = @yacc_present@
609
610 #### Target ######
611 modulename = types
612
613 #### types : Conf files ####
614 libscitypes_la_rootdir = $(mydatadir)
615 libscitypes_la_root_DATA = license.txt
616
617 #### types : init scripts ####
618 libscitypes_la_etcdir = $(mydatadir)/etc
619 libscitypes_la_etc_DATA = etc/types.quit \
620                           etc/types.start
621
622
623 # Where all the Scilab stuff is installed (macros, help, ...)
624 mydatadir = $(pkgdatadir)/modules/$(modulename)
625
626 # Set AM_* SCI detected settings
627 AM_CPPFLAGS = $(SCI_CPPFLAGS)
628 AM_CFLAGS = $(SCI_CFLAGS)
629 AM_CXXFLAGS = $(SCI_CXXFLAGS)
630 # append includes to AM_FFLAGS to manage fortran includes
631 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
632
633 # Tag shared libraries with the Scilab version
634 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
635
636 # splint options
637 SPLINT_OPTIONS = -weak -booltype BOOL
638
639 ########################### JAVA ######################################
640 #### We are delegating java compilation to ant... Thanks to that
641 #### the procedure will be the same with Microsoft Windows (C)
642 #### and Linux/Unix
643 #######################################################################
644 TARGETS_ALL = $(am__append_1)
645
646 ################ MACROS ######################
647 # Rule to build a macro
648 # NOT USED  AT THE MOMENT
649 SUFFIXES = .sci 
650
651 ########### INSTALL DOCUMENTATION ###################
652
653 # Install documentation files into the right target
654 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
655 # automake needs the html files to be present which is not the case when
656 # we are building Scilab
657
658 # Where it should be installed
659 pkgdocdir = $(mydatadir)
660
661 # What is the mask of the help source
662 DOCMASKXML = *.xml
663
664 # What is the mask of the MathML sources
665 DOCMASKMML = *.mml
666
667 ########### INSTALL DATA ###################
668 # Install macros, help & demos
669 # Where it should be installed
670 pkgmacrosdir = $(mydatadir)
671 # Which directory we process
672 MACRODIRS = macros/
673 # Mask of the Scilab sources macros
674 MACROMASK = *.sci
675 # Mask of the Scilab executable sources macros
676 MACROBUILDMASK = *.sce
677 # Mask of the Scilab compiled macros
678 MACROBINMASK = *.bin
679 # List of the standard directory for tests
680 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
681 # Where the demos should be installed
682 pkgdemosdir = $(mydatadir)
683 # List of the standard directory for demos
684 DEMOS_DIR = demos
685 # List of the standard directory for examples
686 EXAMPLES_DIR = examples
687 # Where to export JAVA archives (.jar)
688 JARDIR = jar/
689 # JAR files mask
690 JARMASK = *.jar
691 # Chapter file 
692 HELP_CHAPTERDIR = help/
693 HELP_CHAPTERFILE = addchapter.sce
694 HELP_CHAPTERLANG = en_US fr_FR pt_BR
695
696 #### types : include files ####
697 libscitypes_la_includedir = $(pkgincludedir)
698 TYPES_JAVA_C_SOURCES = src/jni/getScilabVariable_wrap.c
699 TYPES_JAVA_CPP_SOURCES = \
700     src/cpp/ScilabToJava.cpp \
701     src/jni/ScilabVariables.cpp \
702     src/jni/ScilabVariablesRefresh.cpp \
703     src/jni/ScilabPolynomialToJava.cpp
704
705 GIWS_WRAPPERS = src/jni/ScilabVariables.giws.xml
706 BUILT_SOURCES = $(am__append_2) $(am__append_4)
707 libscitypes_java_la_CFLAGS = \
708     $(JAVA_JNI_INCLUDE) \
709     -I$(top_srcdir)/modules/ast/includes/ast/ \
710     -I$(top_srcdir)/modules/ast/includes/exps/ \
711     -I$(top_srcdir)/modules/ast/includes/operations/ \
712     -I$(top_srcdir)/modules/ast/includes/parse/ \
713     -I$(top_srcdir)/modules/ast/includes/symbol/ \
714     -I$(top_srcdir)/modules/ast/includes/system_env/ \
715     -I$(top_srcdir)/modules/ast/includes/types/ \
716     -I$(top_srcdir)/modules/ast/includes/analysis/ \
717     -I$(srcdir)/includes
718
719 libscitypes_java_la_CPPFLAGS = \
720     $(JAVA_JNI_INCLUDE) \
721     -I$(srcdir)/src/jni \
722     -I$(srcdir)/src/cpp \
723     -I$(srcdir)/includes \
724     -I$(top_srcdir)/modules/ast/includes/ast/ \
725     -I$(top_srcdir)/modules/ast/includes/exps/ \
726     -I$(top_srcdir)/modules/ast/includes/operations/ \
727     -I$(top_srcdir)/modules/ast/includes/parse/ \
728     -I$(top_srcdir)/modules/ast/includes/symbol/ \
729     -I$(top_srcdir)/modules/ast/includes/system_env/ \
730     -I$(top_srcdir)/modules/ast/includes/types/ \
731     -I$(top_srcdir)/modules/ast/includes/analysis/ \
732     -I$(top_srcdir)/modules/commons/src/jni/ \
733     -I$(top_srcdir)/modules/jvm/includes/ \
734     -I$(top_srcdir)/modules/output_stream/includes/ \
735     -I$(top_srcdir)/modules/api_scilab/includes/ \
736     $(AM_CPPFLAGS)
737
738 pkglib_LTLIBRARIES = $(am__append_3)
739 libscitypes_algo_la_CPPFLAGS = \
740     $(libscitypes_la_CPPFLAGS) \
741     $(AM_CPPFLAGS)
742
743 libscitypes_java_la_LIBADD = \
744                         $(top_builddir)/modules/commons/libscicommons.la \
745                         $(top_builddir)/modules/jvm/libscijvm.la
746
747 libscitypes_java_la_SOURCES = $(TYPES_JAVA_C_SOURCES) $(TYPES_JAVA_CPP_SOURCES)
748
749 # For the code check (splint)
750 CHECK_SRC = $(TYPES_C_SOURCES) $(GATEWAY_C_SOURCES)
751 INCLUDE_FLAGS = $(libscitypes_la_CPPFLAGS)
752
753 #### SWIG Declaration ####
754 SWIG_WRAPPERS = src/jni/sci_types.i \
755                 src/jni/getScilabVariable.i
756
757
758 #### types : gateway declaration ####
759 libscitypes_la_sci_gatewaydir = $(mydatadir)/sci_gateway
760 libscitypes_la_sci_gateway_DATA = 
761 @NEED_JAVA_TRUE@USEANT = 1
762
763 ####################
764 ####################
765 check_INCLUDES = \
766     -Iincludes/ \
767     -Isrc/cpp \
768     -I$(top_srcdir)/modules/ast/includes
769
770 testTypes_SOURCES = src/cpp/test-types.cpp
771 testTypes_CPPFLAGS = $(check_INCLUDES)
772 testTypes_LDADD = $(top_builddir)/modules/ast/libsciast.la
773 all: $(BUILT_SOURCES)
774         $(MAKE) $(AM_MAKEFLAGS) all-am
775
776 .SUFFIXES:
777 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
778 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
779         @for dep in $?; do \
780           case '$(am__configure_deps)' in \
781             *$$dep*) \
782               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
783                 && { if test -f $@; then exit 0; else break; fi; }; \
784               exit 1;; \
785           esac; \
786         done; \
787         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/types/Makefile'; \
788         $(am__cd) $(top_srcdir) && \
789           $(AUTOMAKE) --foreign modules/types/Makefile
790 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
791         @case '$?' in \
792           *config.status*) \
793             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
794           *) \
795             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
796             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
797         esac;
798 $(top_srcdir)/Makefile.incl.am $(am__empty):
799
800 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
801         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
802
803 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
804         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
805 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
806         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
807 $(am__aclocal_m4_deps):
808
809 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
810         @$(NORMAL_INSTALL)
811         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
812         list2=; for p in $$list; do \
813           if test -f $$p; then \
814             list2="$$list2 $$p"; \
815           else :; fi; \
816         done; \
817         test -z "$$list2" || { \
818           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
819           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
820           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
821           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
822         }
823
824 uninstall-pkglibLTLIBRARIES:
825         @$(NORMAL_UNINSTALL)
826         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
827         for p in $$list; do \
828           $(am__strip_dir) \
829           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
830           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
831         done
832
833 clean-pkglibLTLIBRARIES:
834         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
835         @list='$(pkglib_LTLIBRARIES)'; \
836         locs=`for p in $$list; do echo $$p; done | \
837               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
838               sort -u`; \
839         test -z "$$locs" || { \
840           echo rm -f $${locs}; \
841           rm -f $${locs}; \
842         }
843 src/jni/$(am__dirstamp):
844         @$(MKDIR_P) src/jni
845         @: > src/jni/$(am__dirstamp)
846 src/jni/$(DEPDIR)/$(am__dirstamp):
847         @$(MKDIR_P) src/jni/$(DEPDIR)
848         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
849 src/jni/libscitypes_java_la-getScilabVariable_wrap.lo:  \
850         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
851 src/cpp/$(am__dirstamp):
852         @$(MKDIR_P) src/cpp
853         @: > src/cpp/$(am__dirstamp)
854 src/cpp/$(DEPDIR)/$(am__dirstamp):
855         @$(MKDIR_P) src/cpp/$(DEPDIR)
856         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
857 src/cpp/libscitypes_java_la-ScilabToJava.lo: src/cpp/$(am__dirstamp) \
858         src/cpp/$(DEPDIR)/$(am__dirstamp)
859 src/jni/libscitypes_java_la-ScilabVariables.lo:  \
860         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
861 src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo:  \
862         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
863 src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo:  \
864         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
865
866 libscitypes-java.la: $(libscitypes_java_la_OBJECTS) $(libscitypes_java_la_DEPENDENCIES) $(EXTRA_libscitypes_java_la_DEPENDENCIES) 
867         $(AM_V_CXXLD)$(CXXLINK) $(am_libscitypes_java_la_rpath) $(libscitypes_java_la_OBJECTS) $(libscitypes_java_la_LIBADD) $(LIBS)
868
869 clean-checkPROGRAMS:
870         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
871         echo " rm -f" $$list; \
872         rm -f $$list || exit $$?; \
873         test -n "$(EXEEXT)" || exit 0; \
874         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
875         echo " rm -f" $$list; \
876         rm -f $$list
877 src/cpp/testTypes-test-types.$(OBJEXT): src/cpp/$(am__dirstamp) \
878         src/cpp/$(DEPDIR)/$(am__dirstamp)
879
880 testTypes$(EXEEXT): $(testTypes_OBJECTS) $(testTypes_DEPENDENCIES) $(EXTRA_testTypes_DEPENDENCIES) 
881         @rm -f testTypes$(EXEEXT)
882         $(AM_V_CXXLD)$(CXXLINK) $(testTypes_OBJECTS) $(testTypes_LDADD) $(LIBS)
883
884 mostlyclean-compile:
885         -rm -f *.$(OBJEXT)
886         -rm -f src/cpp/*.$(OBJEXT)
887         -rm -f src/cpp/*.lo
888         -rm -f src/jni/*.$(OBJEXT)
889         -rm -f src/jni/*.lo
890
891 distclean-compile:
892         -rm -f *.tab.c
893
894 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Plo@am__quote@
895 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/testTypes-test-types.Po@am__quote@
896 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Plo@am__quote@
897 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Plo@am__quote@
898 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Plo@am__quote@
899 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Plo@am__quote@
900
901 .c.o:
902 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
903 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
904 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
905 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
906 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
907 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
908
909 .c.obj:
910 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
911 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
912 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
913 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
914 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
915 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
916
917 .c.lo:
918 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
919 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
920 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
921 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
922 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
924
925 src/jni/libscitypes_java_la-getScilabVariable_wrap.lo: src/jni/getScilabVariable_wrap.c
926 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_java_la_CFLAGS) $(CFLAGS) -MT src/jni/libscitypes_java_la-getScilabVariable_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Tpo -c -o src/jni/libscitypes_java_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
927 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Plo
928 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/getScilabVariable_wrap.c' object='src/jni/libscitypes_java_la-getScilabVariable_wrap.lo' libtool=yes @AMDEPBACKSLASH@
929 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
930 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_java_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscitypes_java_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
931
932 .cpp.o:
933 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
934 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
935 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
936 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
937 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
939
940 .cpp.obj:
941 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
942 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
943 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
944 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
945 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
947
948 .cpp.lo:
949 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
950 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
951 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
952 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
953 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
954 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
955
956 src/cpp/libscitypes_java_la-ScilabToJava.lo: src/cpp/ScilabToJava.cpp
957 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscitypes_java_la-ScilabToJava.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Tpo -c -o src/cpp/libscitypes_java_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
958 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Tpo src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Plo
959 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/ScilabToJava.cpp' object='src/cpp/libscitypes_java_la-ScilabToJava.lo' libtool=yes @AMDEPBACKSLASH@
960 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
961 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscitypes_java_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
962
963 src/jni/libscitypes_java_la-ScilabVariables.lo: src/jni/ScilabVariables.cpp
964 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscitypes_java_la-ScilabVariables.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Tpo -c -o src/jni/libscitypes_java_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
965 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Plo
966 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/ScilabVariables.cpp' object='src/jni/libscitypes_java_la-ScilabVariables.lo' libtool=yes @AMDEPBACKSLASH@
967 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
968 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscitypes_java_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
969
970 src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo: src/jni/ScilabVariablesRefresh.cpp
971 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Tpo -c -o src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
972 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Plo
973 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/ScilabVariablesRefresh.cpp' object='src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo' libtool=yes @AMDEPBACKSLASH@
974 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
975 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
976
977 src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo: src/jni/ScilabPolynomialToJava.cpp
978 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Tpo -c -o src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
979 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Plo
980 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/ScilabPolynomialToJava.cpp' object='src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo' libtool=yes @AMDEPBACKSLASH@
981 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
982 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
983
984 src/cpp/testTypes-test-types.o: src/cpp/test-types.cpp
985 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/testTypes-test-types.o -MD -MP -MF src/cpp/$(DEPDIR)/testTypes-test-types.Tpo -c -o src/cpp/testTypes-test-types.o `test -f 'src/cpp/test-types.cpp' || echo '$(srcdir)/'`src/cpp/test-types.cpp
986 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/testTypes-test-types.Tpo src/cpp/$(DEPDIR)/testTypes-test-types.Po
987 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/test-types.cpp' object='src/cpp/testTypes-test-types.o' libtool=no @AMDEPBACKSLASH@
988 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/testTypes-test-types.o `test -f 'src/cpp/test-types.cpp' || echo '$(srcdir)/'`src/cpp/test-types.cpp
990
991 src/cpp/testTypes-test-types.obj: src/cpp/test-types.cpp
992 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/testTypes-test-types.obj -MD -MP -MF src/cpp/$(DEPDIR)/testTypes-test-types.Tpo -c -o src/cpp/testTypes-test-types.obj `if test -f 'src/cpp/test-types.cpp'; then $(CYGPATH_W) 'src/cpp/test-types.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/test-types.cpp'; fi`
993 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/testTypes-test-types.Tpo src/cpp/$(DEPDIR)/testTypes-test-types.Po
994 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/test-types.cpp' object='src/cpp/testTypes-test-types.obj' libtool=no @AMDEPBACKSLASH@
995 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
996 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/testTypes-test-types.obj `if test -f 'src/cpp/test-types.cpp'; then $(CYGPATH_W) 'src/cpp/test-types.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/test-types.cpp'; fi`
997
998 mostlyclean-libtool:
999         -rm -f *.lo
1000
1001 clean-libtool:
1002         -rm -rf .libs _libs
1003         -rm -rf src/cpp/.libs src/cpp/_libs
1004         -rm -rf src/jni/.libs src/jni/_libs
1005 install-libscitypes_la_etcDATA: $(libscitypes_la_etc_DATA)
1006         @$(NORMAL_INSTALL)
1007         @list='$(libscitypes_la_etc_DATA)'; test -n "$(libscitypes_la_etcdir)" || list=; \
1008         if test -n "$$list"; then \
1009           echo " $(MKDIR_P) '$(DESTDIR)$(libscitypes_la_etcdir)'"; \
1010           $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_etcdir)" || exit 1; \
1011         fi; \
1012         for p in $$list; do \
1013           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1014           echo "$$d$$p"; \
1015         done | $(am__base_list) | \
1016         while read files; do \
1017           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_etcdir)'"; \
1018           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_etcdir)" || exit $$?; \
1019         done
1020
1021 uninstall-libscitypes_la_etcDATA:
1022         @$(NORMAL_UNINSTALL)
1023         @list='$(libscitypes_la_etc_DATA)'; test -n "$(libscitypes_la_etcdir)" || list=; \
1024         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1025         dir='$(DESTDIR)$(libscitypes_la_etcdir)'; $(am__uninstall_files_from_dir)
1026 install-libscitypes_la_rootDATA: $(libscitypes_la_root_DATA)
1027         @$(NORMAL_INSTALL)
1028         @list='$(libscitypes_la_root_DATA)'; test -n "$(libscitypes_la_rootdir)" || list=; \
1029         if test -n "$$list"; then \
1030           echo " $(MKDIR_P) '$(DESTDIR)$(libscitypes_la_rootdir)'"; \
1031           $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_rootdir)" || exit 1; \
1032         fi; \
1033         for p in $$list; do \
1034           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1035           echo "$$d$$p"; \
1036         done | $(am__base_list) | \
1037         while read files; do \
1038           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_rootdir)'"; \
1039           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_rootdir)" || exit $$?; \
1040         done
1041
1042 uninstall-libscitypes_la_rootDATA:
1043         @$(NORMAL_UNINSTALL)
1044         @list='$(libscitypes_la_root_DATA)'; test -n "$(libscitypes_la_rootdir)" || list=; \
1045         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1046         dir='$(DESTDIR)$(libscitypes_la_rootdir)'; $(am__uninstall_files_from_dir)
1047 install-libscitypes_la_sci_gatewayDATA: $(libscitypes_la_sci_gateway_DATA)
1048         @$(NORMAL_INSTALL)
1049         @list='$(libscitypes_la_sci_gateway_DATA)'; test -n "$(libscitypes_la_sci_gatewaydir)" || list=; \
1050         if test -n "$$list"; then \
1051           echo " $(MKDIR_P) '$(DESTDIR)$(libscitypes_la_sci_gatewaydir)'"; \
1052           $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)" || exit 1; \
1053         fi; \
1054         for p in $$list; do \
1055           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1056           echo "$$d$$p"; \
1057         done | $(am__base_list) | \
1058         while read files; do \
1059           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_sci_gatewaydir)'"; \
1060           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)" || exit $$?; \
1061         done
1062
1063 uninstall-libscitypes_la_sci_gatewayDATA:
1064         @$(NORMAL_UNINSTALL)
1065         @list='$(libscitypes_la_sci_gateway_DATA)'; test -n "$(libscitypes_la_sci_gatewaydir)" || list=; \
1066         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1067         dir='$(DESTDIR)$(libscitypes_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1068
1069 ID: $(am__tagged_files)
1070         $(am__define_uniq_tagged_files); mkid -fID $$unique
1071 tags: tags-am
1072 TAGS: tags
1073
1074 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1075         set x; \
1076         here=`pwd`; \
1077         $(am__define_uniq_tagged_files); \
1078         shift; \
1079         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1080           test -n "$$unique" || unique=$$empty_fix; \
1081           if test $$# -gt 0; then \
1082             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1083               "$$@" $$unique; \
1084           else \
1085             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1086               $$unique; \
1087           fi; \
1088         fi
1089 ctags: ctags-am
1090
1091 CTAGS: ctags
1092 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1093         $(am__define_uniq_tagged_files); \
1094         test -z "$(CTAGS_ARGS)$$unique" \
1095           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1096              $$unique
1097
1098 GTAGS:
1099         here=`$(am__cd) $(top_builddir) && pwd` \
1100           && $(am__cd) $(top_srcdir) \
1101           && gtags -i $(GTAGS_ARGS) "$$here"
1102 cscopelist: cscopelist-am
1103
1104 cscopelist-am: $(am__tagged_files)
1105         list='$(am__tagged_files)'; \
1106         case "$(srcdir)" in \
1107           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1108           *) sdir=$(subdir)/$(srcdir) ;; \
1109         esac; \
1110         for i in $$list; do \
1111           if test -f "$$i"; then \
1112             echo "$(subdir)/$$i"; \
1113           else \
1114             echo "$$sdir/$$i"; \
1115           fi; \
1116         done >> $(top_builddir)/cscope.files
1117
1118 distclean-tags:
1119         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1120
1121 check-TESTS: $(TESTS)
1122         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
1123         srcdir=$(srcdir); export srcdir; \
1124         list=' $(TESTS) '; \
1125         $(am__tty_colors); \
1126         if test -n "$$list"; then \
1127           for tst in $$list; do \
1128             if test -f ./$$tst; then dir=./; \
1129             elif test -f $$tst; then dir=; \
1130             else dir="$(srcdir)/"; fi; \
1131             if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
1132               all=`expr $$all + 1`; \
1133               case " $(XFAIL_TESTS) " in \
1134               *[\ \     ]$$tst[\ \      ]*) \
1135                 xpass=`expr $$xpass + 1`; \
1136                 failed=`expr $$failed + 1`; \
1137                 col=$$red; res=XPASS; \
1138               ;; \
1139               *) \
1140                 col=$$grn; res=PASS; \
1141               ;; \
1142               esac; \
1143             elif test $$? -ne 77; then \
1144               all=`expr $$all + 1`; \
1145               case " $(XFAIL_TESTS) " in \
1146               *[\ \     ]$$tst[\ \      ]*) \
1147                 xfail=`expr $$xfail + 1`; \
1148                 col=$$lgn; res=XFAIL; \
1149               ;; \
1150               *) \
1151                 failed=`expr $$failed + 1`; \
1152                 col=$$red; res=FAIL; \
1153               ;; \
1154               esac; \
1155             else \
1156               skip=`expr $$skip + 1`; \
1157               col=$$blu; res=SKIP; \
1158             fi; \
1159             echo "$${col}$$res$${std}: $$tst"; \
1160           done; \
1161           if test "$$all" -eq 1; then \
1162             tests="test"; \
1163             All=""; \
1164           else \
1165             tests="tests"; \
1166             All="All "; \
1167           fi; \
1168           if test "$$failed" -eq 0; then \
1169             if test "$$xfail" -eq 0; then \
1170               banner="$$All$$all $$tests passed"; \
1171             else \
1172               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
1173               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
1174             fi; \
1175           else \
1176             if test "$$xpass" -eq 0; then \
1177               banner="$$failed of $$all $$tests failed"; \
1178             else \
1179               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
1180               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
1181             fi; \
1182           fi; \
1183           dashes="$$banner"; \
1184           skipped=""; \
1185           if test "$$skip" -ne 0; then \
1186             if test "$$skip" -eq 1; then \
1187               skipped="($$skip test was not run)"; \
1188             else \
1189               skipped="($$skip tests were not run)"; \
1190             fi; \
1191             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1192               dashes="$$skipped"; \
1193           fi; \
1194           report=""; \
1195           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1196             report="Please report to $(PACKAGE_BUGREPORT)"; \
1197             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1198               dashes="$$report"; \
1199           fi; \
1200           dashes=`echo "$$dashes" | sed s/./=/g`; \
1201           if test "$$failed" -eq 0; then \
1202             col="$$grn"; \
1203           else \
1204             col="$$red"; \
1205           fi; \
1206           echo "$${col}$$dashes$${std}"; \
1207           echo "$${col}$$banner$${std}"; \
1208           test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
1209           test -z "$$report" || echo "$${col}$$report$${std}"; \
1210           echo "$${col}$$dashes$${std}"; \
1211           test "$$failed" -eq 0; \
1212         else :; fi
1213
1214 distdir: $(DISTFILES)
1215         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1216         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1217         list='$(DISTFILES)'; \
1218           dist_files=`for file in $$list; do echo $$file; done | \
1219           sed -e "s|^$$srcdirstrip/||;t" \
1220               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1221         case $$dist_files in \
1222           */*) $(MKDIR_P) `echo "$$dist_files" | \
1223                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1224                            sort -u` ;; \
1225         esac; \
1226         for file in $$dist_files; do \
1227           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1228           if test -d $$d/$$file; then \
1229             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1230             if test -d "$(distdir)/$$file"; then \
1231               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1232             fi; \
1233             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1234               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1235               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1236             fi; \
1237             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1238           else \
1239             test -f "$(distdir)/$$file" \
1240             || cp -p $$d/$$file "$(distdir)/$$file" \
1241             || exit 1; \
1242           fi; \
1243         done
1244 check-am: all-am
1245         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1246         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1247 check: $(BUILT_SOURCES)
1248         $(MAKE) $(AM_MAKEFLAGS) check-am
1249 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1250 installdirs:
1251         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscitypes_la_etcdir)" "$(DESTDIR)$(libscitypes_la_rootdir)" "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)"; do \
1252           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1253         done
1254 install: $(BUILT_SOURCES)
1255         $(MAKE) $(AM_MAKEFLAGS) install-am
1256 install-exec: install-exec-am
1257 install-data: install-data-am
1258 uninstall: uninstall-am
1259
1260 install-am: all-am
1261         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1262
1263 installcheck: installcheck-am
1264 install-strip:
1265         if test -z '$(STRIP)'; then \
1266           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1267             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1268               install; \
1269         else \
1270           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1271             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1272             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1273         fi
1274 mostlyclean-generic:
1275
1276 clean-generic:
1277
1278 distclean-generic:
1279         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1280         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1281         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1282         -rm -f src/cpp/$(am__dirstamp)
1283         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1284         -rm -f src/jni/$(am__dirstamp)
1285
1286 maintainer-clean-generic:
1287         @echo "This command is intended for maintainers to use"
1288         @echo "it deletes files that may require special tools to rebuild."
1289         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1290 clean: clean-am
1291
1292 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1293         clean-pkglibLTLIBRARIES mostlyclean-am
1294
1295 distclean: distclean-am
1296         -rm -rf src/cpp/$(DEPDIR) src/jni/$(DEPDIR)
1297         -rm -f Makefile
1298 distclean-am: clean-am distclean-compile distclean-generic \
1299         distclean-local distclean-tags
1300
1301 dvi: dvi-am
1302
1303 dvi-am:
1304
1305 html: html-am
1306
1307 html-am:
1308
1309 info: info-am
1310
1311 info-am:
1312
1313 install-data-am: install-data-local install-libscitypes_la_etcDATA \
1314         install-libscitypes_la_rootDATA \
1315         install-libscitypes_la_sci_gatewayDATA
1316
1317 install-dvi: install-dvi-am
1318
1319 install-dvi-am:
1320
1321 install-exec-am: install-pkglibLTLIBRARIES
1322
1323 install-html: install-html-am
1324
1325 install-html-am: install-html-local
1326
1327 install-info: install-info-am
1328
1329 install-info-am:
1330
1331 install-man:
1332
1333 install-pdf: install-pdf-am
1334
1335 install-pdf-am:
1336
1337 install-ps: install-ps-am
1338
1339 install-ps-am:
1340
1341 installcheck-am:
1342
1343 maintainer-clean: maintainer-clean-am
1344         -rm -rf src/cpp/$(DEPDIR) src/jni/$(DEPDIR)
1345         -rm -f Makefile
1346 maintainer-clean-am: distclean-am maintainer-clean-generic
1347
1348 mostlyclean: mostlyclean-am
1349
1350 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1351         mostlyclean-libtool
1352
1353 pdf: pdf-am
1354
1355 pdf-am:
1356
1357 ps: ps-am
1358
1359 ps-am:
1360
1361 uninstall-am: uninstall-libscitypes_la_etcDATA \
1362         uninstall-libscitypes_la_rootDATA \
1363         uninstall-libscitypes_la_sci_gatewayDATA \
1364         uninstall-pkglibLTLIBRARIES
1365
1366 .MAKE: all check check-am install install-am install-strip
1367
1368 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
1369         check-am check-local clean clean-checkPROGRAMS clean-generic \
1370         clean-libtool clean-local clean-pkglibLTLIBRARIES \
1371         cscopelist-am ctags ctags-am distclean distclean-compile \
1372         distclean-generic distclean-libtool distclean-local \
1373         distclean-tags distdir dvi dvi-am html html-am info info-am \
1374         install install-am install-data install-data-am \
1375         install-data-local install-dvi install-dvi-am install-exec \
1376         install-exec-am install-html install-html-am \
1377         install-html-local install-info install-info-am \
1378         install-libscitypes_la_etcDATA install-libscitypes_la_rootDATA \
1379         install-libscitypes_la_sci_gatewayDATA install-man install-pdf \
1380         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1381         install-ps-am install-strip installcheck installcheck-am \
1382         installdirs maintainer-clean maintainer-clean-generic \
1383         mostlyclean mostlyclean-compile mostlyclean-generic \
1384         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1385         uninstall-am uninstall-libscitypes_la_etcDATA \
1386         uninstall-libscitypes_la_rootDATA \
1387         uninstall-libscitypes_la_sci_gatewayDATA \
1388         uninstall-pkglibLTLIBRARIES
1389
1390 .PRECIOUS: Makefile
1391
1392
1393 # This target enables tests for Scilab
1394 check-local: $(top_builddir)/scilab-bin test
1395         if test -d $(mydatadir)/tests; then \
1396           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1397         fi
1398 check-code:
1399         if test -f build.xml; then \
1400                 $(ANT) checkstyle; \
1401         fi
1402         if test -x "$(SPLINT)"; then \
1403                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1404         fi
1405 @NEED_JAVA_TRUE@java:
1406 # Some configurations needs to export JAVA_HOME in the current env
1407 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1408 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1409 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1410 @NEED_JAVA_TRUE@                $(ANT); \
1411 @NEED_JAVA_TRUE@        fi
1412
1413 @NEED_JAVA_TRUE@clean-java:
1414 # Some configurations needs to export JAVA_HOME in the current env
1415 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1416 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1417 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1418 @NEED_JAVA_TRUE@                $(ANT) clean; \
1419 @NEED_JAVA_TRUE@        fi;
1420
1421 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1422 # We call the target swig-build on the variable SWIG_WRAPPERS
1423
1424 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1425 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1426 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1427 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1428 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1429 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1430 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1431 @SWIG_TRUE@             done; \
1432 @SWIG_TRUE@     fi
1433
1434 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1435 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1436 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1437 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1438 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1439 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1440 @SWIG_TRUE@             done; \
1441 @SWIG_TRUE@     fi
1442
1443 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1444 # We call the target swig-build on the variable SWIG_WRAPPERS
1445
1446 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1447 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1448 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1449 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1450 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1451 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1452 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1453 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1454 @GIWS_TRUE@                     else \
1455 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1456 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1457 @GIWS_TRUE@                     fi \
1458 @GIWS_TRUE@             done; \
1459 @GIWS_TRUE@     fi
1460
1461 @GIWS_TRUE@giws-exception:
1462 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1463 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1464 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1465
1466 macros:
1467         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1468                 echo "Error : Cannot build $< : Scilab has not been built"; \
1469         else \
1470                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1471         fi)
1472
1473 # Removes the macros
1474 clean-macros:
1475 # Removes macros (*.bin generated from .sci)
1476         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1477                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1478                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1479         done
1480
1481 test:
1482 # More tests could be added here
1483         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1484         if test -f build.xml -a $$USEANT -eq 1; then \
1485                 $(ANT) test; \
1486         fi
1487
1488 all-local: $(TARGETS_ALL)
1489
1490 .sci.bin:
1491         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1492         echo "Error : Cannot build $< : Scilab has not been build"; \
1493         else \
1494         echo "Creating $@"; \
1495         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1496         fi )
1497
1498 install-html-local:
1499
1500 install-data-local-local:
1501 # Mainly for javasci
1502         @if test -d $(srcdir)/javadoc; then \
1503                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1504         fi
1505 # If the user wants the help sources to be installed
1506 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1507 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1508 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1509 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1510 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1511 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1512 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1513 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1514 @INSTALL_HELP_XML_TRUE@           done ; \
1515 @INSTALL_HELP_XML_TRUE@         fi; \
1516 @INSTALL_HELP_XML_TRUE@  fi; \
1517 @INSTALL_HELP_XML_TRUE@ done; \
1518 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1519 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1520 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1521 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1522 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1523 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1524 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1525 @INSTALL_HELP_XML_TRUE@           done ; \
1526 @INSTALL_HELP_XML_TRUE@         fi; \
1527 @INSTALL_HELP_XML_TRUE@ fi
1528 install-data-local:
1529 # Install the tests
1530         @echo "-------- Install tests (if any) --------"; \
1531         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1532           if test -d $(srcdir)/$$dir/; then \
1533             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1534                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1535                     if test -d "$(srcdir)/$$dir/$$file"; then \
1536                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1537                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1538                     else \
1539                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1540                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1541                     fi \
1542                   done; \
1543           fi; \
1544         done
1545 # Install the help chapter
1546         @echo "-------- Install the help chapter (if any) --------"; \
1547         for lang in $(HELP_CHAPTERLANG); do \
1548                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1549                 if test -f $$HELPFILE; then \
1550                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1551                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1552                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1553                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1554                 fi; \
1555         done
1556 # Install the demos & examples
1557         @echo "-------- Install demos & examples (if any) --------"; \
1558         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1559           if test -d $(srcdir)/$$dir/; then \
1560             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1561                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1562                     if test -d "$(srcdir)/$$dir/$$file"; then \
1563                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1564                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1565                     else \
1566                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1567                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1568                     fi \
1569                   done; \
1570           fi; \
1571         done
1572 # Install the macros
1573         @echo "-------- Install macros (if any) --------"; \
1574         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1575           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1576                 if test -d $(srcdir)/$$dir/; then \
1577                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1578                         if test -n "$(MACROSSPECIALEXT)"; then \
1579                                 specialExtDir=""; \
1580                                 for specialExt in $(MACROSSPECIALEXT); do \
1581                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1582                                 done; \
1583                                 FILELIST="$$FILELIST $$specialExtDir"; \
1584                         fi; \
1585                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1586                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1587                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1588                   done; \
1589                 fi; \
1590         done
1591 # Install java files (.jar)
1592         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1593         echo "-------- Install jar files --------"; \
1594     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1595           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1596                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1597                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1598           done ; \
1599         fi
1600
1601 ########### CLEAN ###################
1602 # Clean help (generated automatically by Scilab)
1603 # It used to clean the macro (clean-macros) but this was causing
1604 # make clean && make to fail Scilab startup
1605 @NEED_JAVA_TRUE@clean-local: clean-java
1606 @NEED_JAVA_FALSE@clean-local:
1607
1608 distclean-local:
1609         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1610
1611 .PHONY: macros java swig giws
1612
1613 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1614 # Otherwise a system limit (for SysV at least) may be exceeded.
1615 .NOEXPORT: